Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.update
Class UpdateRequest

    java.lang.Object
      com.hp.hpl.jena.sparql.core.Prologue
          com.hp.hpl.jena.update.UpdateRequest

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Printable

    public class UpdateRequest

extends com.hp.hpl.jena.sparql.core.Prologue
implements com.hp.hpl.jena.sparql.util.Printable

A single request which may consist of several updates, to be poerformed in the order added to the request

Constructor Summary
`UpdateRequest()`
`UpdateRequest(com.hp.hpl.jena.sparql.modify.op.Update graphUpdate)`

Method Summary
`void` | `addUpdate(com.hp.hpl.jena.sparql.modify.op.Update update)`
`void` | `exec(GraphStore graphStore)`
`java.util.Iterator` | `iterator()`
`void` | `output(com.hp.hpl.jena.sparql.util.IndentedWriter out)`
`java.lang.String` | `toString()`

Methods inherited from class com.hp.hpl.jena.sparql.core.Prologue
`copy, expandPrefixedName, expandQName, explicitlySetBaseURI, getBaseURI, getPrefix, getPrefixMapping, getResolver, setBaseURI, setBaseURI, setPrefix, setPrefixMapping, setResolver, shortForm, sub, sub, sub`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateRequest

    public UpdateRequest()

### UpdateRequest

    public UpdateRequest(com.hp.hpl.jena.sparql.modify.op.Update graphUpdate)

Method Detail

### addUpdate

    public void addUpdate(com.hp.hpl.jena.sparql.modify.op.Update update)

### exec

    public void exec(GraphStore graphStore)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### output

    public void output(com.hp.hpl.jena.sparql.util.IndentedWriter out)

  Specified by:
    `output` in interface `com.hp.hpl.jena.sparql.util.Printable`

### iterator

    public java.util.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP